/** reply.c
 **
 ** Omnigo/Unix file transfer program.
 **
 ** Written by and Copyright 1996 Asher Hoskins.
 ** Modified by Marcus Groeber for use under OS/2.
 **
 ** The author retains copyright on this implementation. Permission for
 ** educational and non-profit use is granted to all. If you're planning to
 ** make money with this or any code derived from it, check with the author
 ** first.
 **
 ** See README file for more information.
 **
 ** Get a reply from the Omnigo.
 **/


#ifdef OS2
	#include <io.h>
#endif

void readReply(int tty, char buf[]) {

	unsigned int i = 0;

	do {
		read(tty, &buf[i], 1);
		i++;
	} while (buf[i-1] != ';');
	buf[i-1] = ' ';
	buf[i] = '\0';
}
